Zum Hauptinhalt springen

Update the tls settings of an Ingress

PATCH/v2/ingresses/{ingressId}/tls
API-Version
v2
Request-Methode
PATCH
Operation-ID
ingress-update-ingress-tls

Request​

  • ingressIdstring (uuid)required

Responses​

Format
application/json
Beschreibung

OK

    Content-Type: application/json

    {}
    {
    "type": "object"
    }

    Nutzungsbeispiele​

    $ curl \
    --fail \
    --location \
    -X PATCH \
    -d '{"acme":true}' \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    -H 'Content-Type: application/json' \
    https://api.mittwald.de/v2/ingresses/f0f86186-0a5a-45b2-aa33-502777496347/tls
    import { MittwaldAPIV2Client } from "@mittwald/api-client";
    import { assertStatus } from "@mittwald/api-client-commons";

    const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
    const response = await client.domain.ingressUpdateIngressTls({
    "ingressId": "f0f86186-0a5a-45b2-aa33-502777496347",
    "data": {
    "acme": true
    }
    });

    assertStatus(response, 200);

    use \Mittwald\ApiClient\Generated\V2\Clients\Domain\IngressUpdateIngressTls\IngressUpdateIngressTlsRequest;
    use \Mittwald\ApiClient\Generated\V2\Clients\Domain\IngressUpdateIngressTls\IngressUpdateIngressTlsRequestBody;

    $client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

    // TODO: Please consult the properties and constructor signature of
    // IngressUpdateIngressTlsRequestBody to learn how to construct a valid instance
    $body = new IngressUpdateIngressTlsRequestBody(/* TODO: ... */);

    $request = (new IngressUpdateIngressTlsRequest(
    ingressId: "f0f86186-0a5a-45b2-aa33-502777496347",
    body: $body
    ));
    $response = $client->domain()->ingressUpdateIngressTls($request);

    var_dump($response->getBody();

    Auf dieser Seite